Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.bean
Class ExcelParameter

    java.lang.Object
      jet.bean.ExcelParameter

All Implemented Interfaces:
  java.io.Serializable

    public class ExcelParameter

extends java.lang.Object
implements java.io.Serializable

The `ExcelParameter` class is used for exporting to excel. The class contains all the information of exporting.

Create a `ExcelParameter` using the constructors in this class:

>                     ExcelParameter()

> Then you can set value of parameter what you want.

> There are four type to exporting report to excel. That is:

>       1."Preserve Report Formatting": Must using method setNewExcelLayout(true).
>             And then if you using method setBiff8(true), this will not use this type to export.
>       2.Default type: This type is form v7. if you want to use this type. You must using
>             setNewExcelLayout(false) and setBiff8(false).
>       3.Excel 2000: Must using method setBiff8(true).
>             And then if you using method setNewExcelLayout(true),
>             this will not use this type to export.
>       4.Column Type: This type can not be set from this. If you want use columned type, you must set
>             "Columned" true in report and then using Default type when exporting report to excel file.

> See Also:
>   Serialized Form

> Field Summary
> `static java.lang.String` | `EXP` The suffix file name of excel file.
> `static int` | `EXPORTSHAPE` Useful constant for exporting shape.Export all shape.
> `static int` | `KEEPORIGIN` Useful constant for word wrap.
> `static int` | `NOEXPORTSHAPE` Useful constant for exporting shape.
> `static int` | `NOWORDWRAP` Useful constant for word wrap.
> `static int` | `WORDWRAPALL` Useful constant for word wrap.

> Constructor Summary
> `ExcelParameter()` Initializes a newly created `ExcelParameter` object so that it hold the value using in exporting to excel file.

> Method Summary
> `ExcelParameter` | `copy()` add this method for MailInformation can clone this object
> `java.lang.String` | `getPrintPageFooter()` Get print page footer
> `java.lang.String` | `getPrintPageHeader()` Get print page header
> `int` | `getWordWrapType()` Get the wordWrap type in the parameter.
> `boolean` | `isBiff8()` Get the boolean value of whether checking "Excel 2000" option.
> `boolean` | `isExportShape()` Get the boolean value of whether exporting shape.
> `boolean` | `isNewExcelLayout()` Get the boolean value of whether checking "Presever Report Formatting" option.
> `boolean` | `isPrintGridlines()` Get the flag which index whether print gridlines or not
> `boolean` | `isShareLabel()` Get the boolean value of whether setting ShareLabel.
> `void` | `setBiff8(boolean biff8)` Set "Excel 2000" option.
> `void` | `setNewExcelLayout(boolean isNewExcelLayout)` Set the value of whether check "Preserve Report Formatting" option.
> `void` | `setParam(int param)` Set whether export the shape.
> `void` | `setPrintGridlinesAble(boolean isPrint)` Set the flag which index whether print gridlines or not
> `void` | `setPrintPageHeaderAndFooter(java.lang.String header, java.lang.String footer)` Set the value of Print page header and footer in excel file.
> `void` | `setShareLable(boolean shareLabel)` Deprecated. this method is not used, we export the excel file as share format
> `void` | `setWordWrapType(int wordWrapType)` Set the word wrap type.

> Methods inherited from class java.lang.Object
> `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

> Field Detail

> ### KEEPORIGIN

>     public static final int KEEPORIGIN

>   Useful constant for word wrap. Keep all cell origin word wrap type in excel file.

>   See Also:
>     Constant Field Values

> ### NOWORDWRAP

>     public static final int NOWORDWRAP

>   Useful constant for word wrap. Keep no cell word wrap in excel file.

>   See Also:
>     Constant Field Values

> ### WORDWRAPALL

>     public static final int WORDWRAPALL

>   Useful constant for word wrap. Keep all cells word wrap in excel file.

>   See Also:
>     Constant Field Values

> ### EXPORTSHAPE

>     public static final int EXPORTSHAPE

>   Useful constant for exporting shape.Export all shape.

>   See Also:
>     Constant Field Values

> ### NOEXPORTSHAPE

>     public static final int NOEXPORTSHAPE

>   Useful constant for exporting shape. Do not export shape.

>   See Also:
>     Constant Field Values

> ### EXP

>     public static final java.lang.String EXP

>   The suffix file name of excel file.

>   See Also:
>     Constant Field Values

> Constructor Detail

> ### ExcelParameter

>     public ExcelParameter()

>   Initializes a newly created `ExcelParameter` object so that it hold the value using in exporting to excel file. Note that this contructor is a empty. Every value is defalut value.

> Method Detail

> ### setPrintPageHeaderAndFooter

>     public void setPrintPageHeaderAndFooter(java.lang.String header,
>                                             java.lang.String footer)

>   Set the value of Print page header and footer in excel file.

>   Parameters:
>     `header` - The Print page header in excel file.
>     `footer` - The Print page footer in excel file.

> ### getPrintPageHeader

>     public java.lang.String getPrintPageHeader()

>   Get print page header

>   Returns:
>     The Print page header of excel parameter.

> ### getPrintPageFooter

>     public java.lang.String getPrintPageFooter()

>   Get print page footer

>   Returns:
>     The Print page footer of excel parameter.

> ### setPrintGridlinesAble

>     public void setPrintGridlinesAble(boolean isPrint)

>   Set the flag which index whether print gridlines or not

>   Parameters:
>     `isPrint` - print the gridlines when it is true

> ### isPrintGridlines

>     public boolean isPrintGridlines()

>   Get the flag which index whether print gridlines or not

>   Returns:
>     true when print gridlines

> ### setWordWrapType

>     public void setWordWrapType(int wordWrapType)

>   Set the word wrap type. There are three type of word wrap.

>         KEEPORIGIN
>         NOWORDWRAP
>         WORDWRAPALL

>   Parameters:
>     `wordWrapType` -

> ### setParam

>     public void setParam(int param)

>   Set whether export the shape. When you want to export shape, you must select "Default type" or "Preserve Report Formatting" type. As Excel 2000 will not export shape.

>   Parameters:
>     `param` - When param is 1, export shape to excel. or else.

> ### setShareLable

>     public void setShareLable(boolean shareLabel)

>   Deprecated. this method is not used, we export the excel file as share format

>   Set whether using share label.

>   Parameters:
>     `shareLabel` - the boolean value share value.

> ### setNewExcelLayout

>     public void setNewExcelLayout(boolean isNewExcelLayout)

>   Set the value of whether check "Preserve Report Formatting" option. If it is true, isBiff8 is false.

>   Parameters:
>     `isNewExcelLayout` - the boolean value represent the option.

> ### getWordWrapType

>     public int getWordWrapType()

>   Get the wordWrap type in the parameter.

>   Returns:
>     The word wrap type.

> ### isExportShape

>     public boolean isExportShape()

>   Get the boolean value of whether exporting shape.

>   Returns:
>     the boolean value of exporting shape.

> ### isShareLabel

>     public boolean isShareLabel()

>   Get the boolean value of whether setting ShareLabel.

>   Returns:
>     the boolean value of setting share label.

> ### isNewExcelLayout

>     public boolean isNewExcelLayout()

>   Get the boolean value of whether checking "Presever Report Formatting" option.

>   Returns:
>     the boolean value of whether checking "Presever Report Formatting" option.

> ### isBiff8

>     public boolean isBiff8()

>   Get the boolean value of whether checking "Excel 2000" option.

>   Returns:
>     the boolean value of whether checking "Excel 2000" option.

> ### setBiff8

>     public void setBiff8(boolean biff8)

>   Set "Excel 2000" option. If it is checked, then will not check "Preserve Report Formatting" option.

>   Parameters:
>     `biff8` -

> ### copy

>     public ExcelParameter copy()

>   add this method for MailInformation can clone this object

>   Returns:

> Overview | Package | Class | Tree | Deprecated | Index | Help
> PREV CLASS NEXT CLASS | FRAMES NO FRAMES
> SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD